Skip to main content
GET
/
profiles
/
{profile_id}
/
quote-executions
List Quote Executions
curl --request GET \
  --url https://api.paxos.com/v2/profiles/{profile_id}/quote-executions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/profiles/{profile_id}/quote-executions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/profiles/{profile_id}/quote-executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total_count": 123,
  "items": [
    {
      "id": "43a59965-be3a-45ab-841d-c55386e0ff90",
      "profile_id": "b7b77d82-e6a7-4ae9-9904-36231aedf985",
      "quote_id": "366a26d2-3098-4226-a520-4bb43ae4d922",
      "status": "SETTLED",
      "market": "BTCUSD",
      "side": "BUY",
      "price": "6001.2",
      "base_amount": "2.35",
      "base_asset": "BTC",
      "quote_amount": "14102.82",
      "quote_asset": "USD",
      "created_at": "2020-01-17T18:36:31.345Z",
      "settled_at": "2020-01-17T18:36:32.123Z",
      "metadata": {
        "customer_id": "9b8c9cba-801e-4418-adc0-ede709df6339"
      }
    }
  ],
  "next_page_cursor": "<string>"
}
OAuth Scope
exchange:read_quote_execution

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Path Parameters

profile_id
string
required

The profile ID associated with the orders.

Query Parameters

side
enum<string>

Filter by buy or sell side.

Available options:
BUY,
SELL
market
enum<string>

Filter by the trading pair.

Available options:
ETHEUR,
ETHSGD,
ETHUSD,
BTCEUR,
BTCSGD,
BTCUSD,
PAXGUSD,
BCHUSD,
LTCUSD,
USDPUSD,
LINKUSD,
AAVEUSD,
UNIUSD,
PEPEUSD,
TRUMPUSD,
SHIBUSD,
ARBUSD,
BONKUSD,
ENAUSD,
MNTUSD,
ONDOUSD,
PENGUUSD,
QNTUSD,
RENDERUSD,
SKYUSD,
WIFUSD,
WLDUSD,
DOGEUSD,
AVAXUSD,
SUIUSD
status
enum<string>

Filter by the status of the order.

Available options:
CREATED,
SETTLED
created_at.begin
string<date-time>

Only return records after this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.end
string<date-time>

Only return records before this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

limit
integer<int32>

Number of results to return.

order
enum<string>

Return items in ascending (ASC) or descending (DESC) order. Default order is descending (DESC).

Available options:
DESC,
ASC
order_by
enum<string>

The specific method by which the returned results will be ordered.

Available options:
CREATED_AT
page_cursor
string

Cursor token for fetching the next page. If using this then do not use pagination.limit and pagination.offset fields.

Response

200 - application/json

A successful response.

total_count
integer<int32>
items
object[]
next_page_cursor
string

Cursor token required for fetching the next page.